post
https://api.aerocrs.com/v5/getAvailability
This method returns availability of the different classes according to flight number or destination combination
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Request parameters
| Parameter | Type | Description |
|---|---|---|
| fltnum | String | (optional) Flight number to search |
| from | String | (optional) destination of departure |
| to | String | (optional) destination of arrival |
| start | Date | YYYY/MM/DD beginning of date range |
| end | Date | YYYY/MM/DD End of date range |
ActivationThis method will be available starting August 1st, 2018.
Response
The method will response with a list of available flights, class codes and their respected available seats.
| Parameter | Type | Description |
|---|---|---|
| count | Number | number of flights found |
| airlineDesignator | String | Airline Designator |
| airlineICAOcode | String | Airline ICAO code |
| airlinename | String | Airline name |
| fltnum | Number | Flight number |
| fromCode | String | Destination FROM code |
| toCode | String | Destination TO code |
| std | Date | YYYY/MM/DD HH:MM departure time |
| sta | Date | YYYY/MM/DD HH:MM arrival time |
| classes | Array | List of class codes and the quantity available for each one |
| flighttype | String | Type of Flight (Direct / Connection) |
| numberOfLegs | Number | Number of legs for this trip for connection flights |
| flights | Array | For connection flights - array of flights on the trip |
Connection Parameters
| Parameter | Type | Description |
|---|---|---|
| airlineName | String | Name of airline |
| fltnum | String | Flight number |
| fromcode | String | Departure airport code |
| tocode | String | Arrival airport code |
| STD | String | YYYY/MM/DD HH:MM departure time |
| STA | String | YYYY/MM/DD HH:MM arrival time |
| legNumber | Number | Leg number for the trip |

